# frozen_string_literal: true

module ::YeSQL
  module Utils
    module Read
      def statement(readable: false)
        read_file(found_file, readable)
      end

      private

      def read_file(file, readable)
        return File.readlines(file, chomp: true).join(" ") if readable == true

        File.read(file)
      end

      def found_file
        dir_sql_files.find { |dir_file_path| dir_file_path.include?("#{file_path}.sql") }
      end

      def dir_sql_files
        Dir["./#{::YeSQL.config.path}/**/*.sql"]
      end
    end
  end
end
